Mitgliederliste auf Benutzergruppen beschränken

  • Ok super danke Oliver!

    Man muss im 5.2 aber zwingend das Update erst installieren und danach auf 5.3 Upgrade machen sonst kommt es zu einer Fehlermeldung.


    Alexander Ebert ist das so gewollt?


    Requested URL
    /acp/index.php?ajax-proxy/&t=b26a6fd14fc079435f304dda6759d9e072a30418
    Referrer
    https://xxxx/acp/index.php?package-update/
    Error Message
    Bitte installieren Sie zuerst alle ausstehenden Updates, bevor Sie auf eine neue Version umsteigen.
    Type
    wcf\system\exception\SystemException
    File (Line)
    /www/htdocs/xxxx/xxxx/lib/data/package/update/PackageUpdateAction.class.php (680)
    Stacktrace
    1. /www/htdocs/xxxx/lib/data/package/update/PackageUpdateAction.class.php (582): wcf\data\package\update\PackageUpdateAction->createQueue(…)
    2. /www/htdocs/xxxx/lib/data/AbstractDatabaseObjectAction.class.php (205): wcf\data\package\update\PackageUpdateAction->prepareUpdate(…)
    3. /www/htdocs/xxxx/lib/action/AJAXProxyAction.class.php (75): wcf\data\AbstractDatabaseObjectAction->executeAction(…)
    4. /www/htdocs/xxxx/lib/action/AJAXInvokeAction.class.php (94): wcf\action\AJAXProxyAction->invoke(…)
    5. /www/htdocs/xxxx/lib/action/AbstractAction.class.php (47): wcf\action\AJAXInvokeAction->execute(…)
    6. /www/htdocs/xxxx/lib/action/AJAXInvokeAction.class.php (61): wcf\action\AbstractAction->__run(…)
    7. /www/htdocs/xxxx/lib/system/request/Request.class.php (83): wcf\action\AJAXInvokeAction->__run(…)
    8. /www/htdocs/xxxx/lib/system/request/RequestHandler.class.php (107): wcf\system\request\Request->execute(…)
    9. /www/htdocs/xxxx/acp/index.php (9): wcf\system\request\RequestHandler->handle(…)
    • Official Post

    Throwholics Absolut. Ein Update das unter Version A funktioniert, muss nicht zwangsläufig auch unter Version B funktional sein. Daher müssen erst alle Updates installiert werden, die für Version A sind und danach erst das Upgrade auf Version B. Bei einem Upgrade von Version A auf B wird erst der Core und damit das gesamte Paketsystem aktualisiert.

    Alexander Ebert
    Senior Developer WoltLab® GmbH

  • Ich möchte gerne diesen Thread nochmal aufgreifen, auch wenn es lange her ist.


    Zum Upgrade auf Woltlab 5.5 hindern mich 3 meiner Plugins daran, auf die neue Version upzugraden.


    Was mich allerdings am meisten schmerzt, ist die Mitgliederliste nach Benutzergruppen. 😥

    beMananas ist denn hier für Woltlab 5.5 auch ein Update geplant?

  • Was mich allerdings am meisten schmerzt, ist die Mitgliederliste nach Benutzergruppen. 😥

    beMananas ist denn hier für Woltlab 5.5 auch ein Update geplant?

    Das kann ich dir aktuell noch nicht definitiv beantworten. Aktuell werden unsere Apps aktualisiert. Da die Anfrage für die kleineren Plugins kaum noch vorhanden ist weiss ich noch nicht ob/wann das Update dazu kommt. Siehe auch hier.


    Edit: Die Mitgliederliste nach Benutzergruppen wird demnächst aktualisiert.

  • beMananas ist denn schon was in Aussicht, wann die Aktualisierung kommen wird? Das Tool fehlt uns mächtig. 🙈😉

    Hallo


    Das update ist weitgehenst bereit.

    Es gibt hier aktuell ein Thema für Entwickler wegen dem anbieten von Kostenpflichtigen Updates damot man nicht für jede Version eine neue Datei erstellen muss. Hier warte ich auf die entscheidung wie es weiter geht da dies die Art des Updates beeinflusst.

  • Hallo


    Das update ist weitgehenst bereit.

    Es gibt hier aktuell ein Thema für Entwickler wegen dem anbieten von Kostenpflichtigen Updates damot man nicht für jede Version eine neue Datei erstellen muss. Hier warte ich auf die entscheidung wie es weiter geht da dies die Art des Updates beeinflusst.

    Dank Dir vielmals für die Info. Dann werde ich weiterhin täglich auf Euere Seite vorbeischauen, in der Hoffnung, bald positiv überrascht zu werden. ;) :)

  • Hallo


    Das update ist weitgehenst bereit.

    Es gibt hier aktuell ein Thema für Entwickler wegen dem anbieten von Kostenpflichtigen Updates damot man nicht für jede Version eine neue Datei erstellen muss. Hier warte ich auf die entscheidung wie es weiter geht da dies die Art des Updates beeinflusst.

    Darauf wartet auch bereits ein anderer Entwickler.

    Ich hoffe, dass sich Woltlab hier nicht noch zu lange Zeit lässt. :saint:

  • Wenn solche Dinge von Haus aus verbaut würden, hätten die Drittanbieter Zeit für ihre Projekte, aber wenn ich das frei zitieren darf "dann wird die Gruppen-Optionsseite zu unübersichtlich, wenn man alles umsetzt was möglich wäre


    mir persönlich wäre das zwar lieber, um auch die Kompatibilität durchgängig zu halten, aber ich bin damit allein auf weiter Flur, darum wird sich da an den gruppenrechten nichts ändern, egal wie gemauzt wird und gejammert, das wird ausgesessen, damit man damit als Haus keinen Aufwand hat.


    "Und wofür gibt es denn die Drittanbieter-Plugins, wenn man die nicht nutzen wollte", aber die haben mit der Umsetzung für jede neue Idee die eingebracht wird ihre Sorgen das zusammen zu fummeln, von Haus aus drin, wäre da echt als Alternative besser, denn das würde dann auch die Updates gleich mit schaffen ohne das man dann den geplagten Drittanbietern auf den Keks gehen muss mit "wann ist das endlich fertig?"


    Die machen ja schon so wie sie können, leider ja zusehens weniger die noch was tun, aber das ist ja eine andere Kiste und hat mit dem VonHaus aus fehlt das, nichts zu tun


    Die Drittanbieter, die haben alle Jobs und machen die Programmierung in ihrer Freizeit, das geht nun wegen der ganzen Faxen in der Welt bissle drunter und drüber, da liegen die Köpfe auf anderen Schwerpunkten, da muss man Geduld haben ... und wenn schon geschrieben steht "ist weitgehend bereit" dann fehlt ggf. nur noch der Feinschliff und dann gibt es etwas nützliches was eigentlich von Haus aus gehören könnte, denn soviel Umweg ist das für die Hausprogrammierer sicher nicht, die Option mit durch zu schleifen

    Hunde die bellen, beißen nicht? -> nun, ich bin kein Hund. -> Ich belle nicht. - Ich Beiße! 8o

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!